cinder-volume should Suggest ceph-common, not python-ceph

Bug #1065901 reported by James Page on 2012-10-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cinder (Ubuntu)
Medium
James Page
Quantal
Medium
Unassigned

Bug Description

cinder-volume current Suggests: python-ceph, but all integration with ceph is done using the rados and rbd tools, provided by ceph-common.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: cinder-volume (not installed)
ProcVersionSignature: Ubuntu 3.5.0-17.27-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu2
Architecture: amd64
Date: Fri Oct 12 10:37:04 2012
SourcePackage: cinder
UpgradeStatus: Upgraded to quantal on 2012-06-11 (122 days ago)

James Page (james-page) wrote :
James Page (james-page) on 2012-10-12
Changed in cinder (Ubuntu):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2012-10-12
Changed in cinder (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2013.1~g1~20121101.361-0ubuntu1

---------------
cinder (2013.1~g1~20121101.361-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * New upstream release.
  * debian/patches/0001-Replace-builtin-hash.patch: Dropped.

  [ James Page ]
  * Cinder should suggest ceph-common, not python-ceph (LP: #1065901):
    - debian/control: cinder-volume Suggests: python-ceph -> ceph-common
 -- Adam Gandelman <email address hidden> Thu, 01 Nov 2012 11:30:15 +0100

Changed in cinder (Ubuntu):
status: Fix Committed → Fix Released
Changed in cinder (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → Medium

Hello James, or anyone else affected,

Accepted cinder into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/2012.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Quantal):
status: Triaged → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2012.2.1-0ubuntu1

---------------
cinder (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - Cinder should suggest ceph-common, not python-ceph (LP: #1065901):
      - debian/control: cinder-volume Suggests: python-ceph -> ceph-common
  * Resynchronize with stable/folsom (87d839a5) (LP: #1085255):
    - [f990ff0] Remove unused python-daemon dependency
    - [940f363] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [7f34ba3] After folsom upgrade, instances can no longer access existing
      volumes. (LP: #1065702)
    - [1c99b24] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [d12d4b6] Add SIGPIPE handler to subprocess execution in rootwrap and
      utils.execute (LP: #1053364)
    - [ce5e002] Set defaultbranch in .gitreview to stable/folsom
 -- Adam Gandelman <email address hidden> Tue, 04 Dec 2012 09:19:29 -0800

Changed in cinder (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments